package com.fjhx.form.entity.calculate.po;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 核算项目余额表
 * </p>
 *
 * @author
 * @since 2024-05-20
 */
@Getter
@Setter
@TableName("calculate_item_balance")
public class CalculateItemBalance extends BaseIdPo {

    private String idStr;

    private Integer year;

    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal yearBeginBorrowAmount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month1Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month2Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month3Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month4Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month5Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month6Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month7Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month8Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month9Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month10Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month11Amount;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal month12Amount;

    private BigDecimal balanceAmount;

}
