package com.fjhx.oa.entity.personal.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 个人电子发票申请
 * </p>
 *
 * @author
 * @since 2024-04-11
 */
@Getter
@Setter
@TableName("personal_invoice")
public class PersonalInvoice extends BasePo {

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date applyTime;

    /**
     * 审批状态
     */
    private Integer status;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 编号
     */
    private String code;

    /**
     * 发票金额
     */
    private Long amount;

    /**
     * 备注
     */
    private String remark;

    /**
     * 公司id
     */
    private Long companyId;

}
