package com.fjhx.oa.mapper.epiboly;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.epiboly.po.EpibolyBill;
import com.fjhx.oa.entity.epiboly.vo.EpibolyBillVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 外包加工账单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-15
 */
public interface EpibolyBillMapper extends BaseMapper<EpibolyBill> {

    /**
     * 外包加工账单分页
     */
    Page<EpibolyBillVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EpibolyBill> wrapper);

}
