package com.fjhx.oa.mapper.personal;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.personal.po.PersonalInvoice;
import com.fjhx.oa.entity.personal.vo.PersonalInvoiceVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 个人电子发票申请 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-11
 */
public interface PersonalInvoiceMapper extends BaseMapper<PersonalInvoice> {

    /**
     * 个人电子发票申请分页
     */
    Page<PersonalInvoiceVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PersonalInvoice> wrapper);

}
