package com.fjhx.oa.service.invoice;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.invoice.dto.InvoiceApplyDto;
import com.fjhx.oa.entity.invoice.dto.InvoiceApplySelectDto;
import com.fjhx.oa.entity.invoice.po.InvoiceApply;
import com.fjhx.oa.entity.invoice.vo.InvoiceApplyVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 开票申请 服务类
 * </p>
 *
 * @author
 * @since 2024-04-13
 */
public interface InvoiceApplyService extends BaseService<InvoiceApply> {

    /**
     * 开票申请分页
     */
    Page<InvoiceApplyVo> getPage(InvoiceApplySelectDto dto);

    /**
     * 开票申请明细
     */
    InvoiceApplyVo detail(Long id);

    /**
     * 开票申请新增
     */
    void addOrEdit(InvoiceApplyDto invoiceApplyDto);

    /**
     * 开票申请删除
     */
    void delete(Long id);

    void cancellation(Long businessId);
}
