package com.fjhx.sale.service.seal;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.seal.dto.SealUseDto;
import com.fjhx.sale.entity.seal.dto.SealUseSelectDto;
import com.fjhx.sale.entity.seal.po.SealUse;
import com.fjhx.sale.entity.seal.vo.SealUseVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 用印申请 服务类
 * </p>
 *
 * @author
 * @since 2024-04-09
 */
public interface SealUseService extends BaseService<SealUse> {

    /**
     * 用印申请分页
     */
    Page<SealUseVo> getPage(SealUseSelectDto dto);

    /**
     * 用印申请明细
     */
    SealUseVo detail(Long id);

    /**
     * 用印申请新增
     */
    void addOrEdit(SealUseDto sealUseDto);

    /**
     * 用印申请删除
     */
    void delete(Long id);

    /**
     * 用印归还
     */

    void returned(SealUseDto dto);

    void cancellation(Long businessId);
}
