package com.fjhx.form.controller.customer;

import com.fjhx.form.entity.customer.dto.CustomerPayableBalanceDto;
import com.fjhx.form.service.customer.CustomerPayableBalanceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 客户应付余额 前端控制器
 * </p>
 *
 * @author
 * @since 2024-05-11
 */
@RestController
@RequestMapping("/customerPayableBalance")
public class CustomerPayableBalanceController {

    @Autowired
    private CustomerPayableBalanceService customerPayableBalanceService;

    /**
     * 客户应付余额编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody CustomerPayableBalanceDto customerPayableBalanceDto) {
        customerPayableBalanceService.edit(customerPayableBalanceDto);
    }

}
